Bug 1413404 - [Packaging] Contents of gramps-common overlap gramps and gramps-webapp
Summary: [Packaging] Contents of gramps-common overlap gramps and gramps-webapp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gramps
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 19:22 UTC by Christian Stadelmann
Modified: 2019-01-09 12:54 UTC (History)
3 users (show)

Fixed In Version: gramps-4.2.5-3.fc24 gramps-4.2.5-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-27 19:18:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2017-01-15 19:22:35 UTC
Description of problem:
Packages are created with duplicate files and folders.

Version-Release number of selected component (if applicable):
gramps-4.2.5-1.fc25.noarch

How reproducible:
always – packaging mistake

Steps to Reproduce:
1. have a look at
$ less gramps-4.2.5-1.fc25.noarch.rpm 
$ less gramps-common-4.2.5-1.fc25.noarch.rpm 
$ less gramps-webapp-4.2.5-1.fc25.noarch.rpm 

Actual results:
Many files and folders are included twice

Expected results:
Do not include folders/files in multiple packages

Additional info:
How to test:
1. extract packages to folders "gramps", "gramps-common", "gramps-webapp" respectively
2. run $ LC_ALL=C diff --report-identical-files --suppress-common-lines --recursive gramps gramps-common | grep "are identical"

Comment 1 Gwyn Ciesla 2017-01-17 16:02:02 UTC
I don't see anything duplicated in the spec, what do you get for the output of step 2?

Comment 2 Gwyn Ciesla 2017-01-17 16:06:45 UTC
Ignore, need more coffee.  Working on it.

Comment 3 Fedora Update System 2017-01-17 16:48:41 UTC
gramps-4.2.5-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa7fe951fa

Comment 4 Fedora Update System 2017-01-17 16:48:49 UTC
gramps-4.2.5-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-34dfbd2c86

Comment 5 Fedora Update System 2017-01-19 07:22:39 UTC
gramps-4.2.5-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa7fe951fa

Comment 6 Fedora Update System 2017-01-19 09:10:07 UTC
gramps-4.2.5-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-34dfbd2c86

Comment 7 Fedora Update System 2017-01-27 19:18:16 UTC
gramps-4.2.5-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-01-27 19:21:31 UTC
gramps-4.2.5-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.